import request from "@/utils/httpRequest";
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class ContractService {
  save (param) {
    return request({
      url: prefix + '/material/contract/save',
      method: 'post',
      data: param
    })
  }
  list (param) {
    return request({
      url: prefix + '/material/contract/list',
      method: 'get',
      params: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/material/contract/findById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/material/contract/updateStatusById',
      method: 'post',
      data: param
    })
  }
  remove (id) {
    return request({
      url: prefix + '/material/contract/remove',
      method: 'get',
      params: {id: id}
    })
  }
}
